<?php

class DataArr_Departments {
    protected $model;
    
    public function __construct() {
        $this->model = new Model_DataArr_Departments;
    }
    
    public function byFaculty($facultyID)
    {
        if($facultyID != 0)
        {
            $departaments = $this->model->getDepartmentsByFaculty($facultyID);
            $departamentsHandled = array(); $i = 0;
            foreach($departaments as $row)
            {
                $i++;
                $departamentsHandled[$i]['ID'] = $row['DepID'];
                if($row['DepName'] != null)
                {
                    $departamentsHandled[$i]['Name'] = $row['DepName'];
                }
                else {
                    $departamentsHandled[$i]['Name'] = '<служебная кафедра>';
                }
            }
            return $departamentsHandled;
        }
    }
     
}
